%global dlrn_nvr python-manilaclient-2.6.4-1.20220727154316.7f7d7d3
%global dlrn 1
%define upstream_version 2.6.4
%{!?sources_gpg: %{!?dlrn:%global sources_gpg 1} }
%global sources_gpg_sign 0xa63ea142678138d1bb15f2e303bdfd64dd164087
%{!?upstream_version: %global upstream_version %{version}%{?milestone}}

%global sname manilaclient
%global with_doc 0

%global common_desc \
Client library and command line utility for interacting with Openstack \
Share API.

Name:       python-manilaclient
Version: 2.6.4
Release: 1.20220727154316.7f7d7d3%{?dist}
Summary:    Client Library for OpenStack Share API
License:    ASL 2.0
URL:        https://pypi.io/pypi/%{name}
Source0: python-manilaclient-2.6.4-1.20220727154316.7f7d7d3.tar.gz
#
# patches_ignore=DROP-IN-RPM
# patches_base=7f7d7d32dcabfa619ea9e1717483062026e0b61f

# Required for tarball sources verification
%if 0%{?sources_gpg} == 1
Source101:        https://tarballs.openstack.org/python-manilaclient/%{name}-%{upstream_version}.tar.gz.asc
Source102:        https://releases.openstack.org/_static/%{sources_gpg_sign}.txt
%endif

BuildArch:  noarch

# Required for tarball sources verification
%if 0%{?sources_gpg} == 1
BuildRequires:  /usr/bin/gpgv2
BuildRequires:  openstack-macros
%endif

%description
%{common_desc}

%package -n python3-%{sname}
Summary:    Client Library for OpenStack Share API
%{?python_provide:%python_provide python3-%{sname}}
Obsoletes: python2-%{sname} < %{version}-%{release}

# We require a whole set of packages that are not needed by setup.py,
# merely because Sphinx pulls them in when scanning for docstrings.
BuildRequires: python3-devel
BuildRequires: python3-keystoneclient
BuildRequires: python3-oslo-utils
BuildRequires: python3-pbr
BuildRequires: git-core
BuildRequires: python3-prettytable
BuildRequires: python3-setuptools
BuildRequires: python3-six

Requires:   python3-babel
Requires:   python3-keystoneclient >= 1:3.8.0
Requires:   python3-oslo-config >= 2:5.2.0
Requires:   python3-oslo-i18n >= 3.15.3
Requires:   python3-oslo-log >= 3.36.0
Requires:   python3-oslo-serialization >= 2.18.0
Requires:   python3-oslo-utils >= 3.33.0
Requires:   python3-pbr
Requires:   python3-prettytable
Requires:   python3-requests >= 2.14.2
Requires:   python3-six
Requires:   python3-debtcollector
Requires:   python3-osc-lib >= 1.10.0

Requires:   python3-simplejson


%description -n python3-%{sname}
%{common_desc}

%if 0%{?with_doc}
%package doc
Summary:    Documentation for OpenStack Share API Client

BuildRequires: python3-sphinx
BuildRequires: python3-sphinxcontrib-programoutput
BuildRequires: python3-openstackclient
BuildRequires: python3-openstackdocstheme

%description doc
%{common_desc}

This package contains documentation.
%endif

%prep
# Required for tarball sources verification
%if 0%{?sources_gpg} == 1
%{gpgverify}  --keyring=%{SOURCE102} --signature=%{SOURCE101} --data=%{SOURCE0}
%endif
%autosetup -n %{name}-%{upstream_version} -S git

# Remove bundled egg-info
rm -rf python_manilaclient.egg-info

%build
%{py3_build}

%if 0%{?with_doc}
sphinx-build -b html doc/source doc/build/html
# Fix hidden-file-or-dir warnings
rm -fr doc/build/html/.doctrees doc/build/html/.buildinfo
%endif

%install
%{py3_install}

# Create a versioned binary for backwards compatibility until everything is pure py3
ln -s manila %{buildroot}%{_bindir}/manila-3

# Install bash completion
mkdir -p %{buildroot}%{_sysconfdir}/bash_completion.d
install -pm 644 tools/manila.bash_completion \
    %{buildroot}%{_sysconfdir}/bash_completion.d/manila


%files -n python3-%{sname}
%doc README.rst
%license LICENSE
%{_bindir}/manila
%{_bindir}/manila-3
%{_sysconfdir}/bash_completion.d
%{python3_sitelib}/manilaclient
%{python3_sitelib}/*.egg-info

%if 0%{?with_doc}
%files doc
%doc doc/build/html
%license LICENSE
%endif

%changelog
* Wed Jul 27 2022 OSP Prod Chain <dev-null@redhat.com> 2.6.4-1.20220727154316.7f7d7d3
- Update patches

* Mon Jul 18 2022 OSP Prod Chain <dev-null@redhat.com> 2.6.4-1.20220718123436.7f7d7d3
- Update patches
- Re-enable shell completion cache

* Tue Apr 26 2022 OSP Prod Chain <dev-null@redhat.com> 2.6.3-0.20220426073423.ea39ef8
- Update patches
- Add CLI error notification in case there is no share type
- Fix tox to ignore_basepython_conflict

* Sat Feb 05 2022 OSP Prod Chain <dev-null@redhat.com> 2.6.2-0.20220205062251.a9d1193
- Update patches
- Fix the id attr for share group type access repr
- [CI] Fix CI jobs

* Mon Nov 08 2021 OSP Prod Chain <dev-null@redhat.com> 2.6.1-0.20211108122127.c338a6c
- Update patches
- Fix error in CLI 'manila list' with sorting key 'availability_zone'.
- Update TOX_CONSTRAINTS_FILE for stable/wallaby
- Update .gitreview for stable/wallaby

* Thu May 27 2021 OSP Prod Chain <dev-null@redhat.com> 2.6.0-0.20210528002333.1075210
- Update patches

* Fri Mar 26 2021 OSP Prod Chain <dev-null@redhat.com> 2.6.0-1
- Update patches

* Wed Mar 24 2021 OSP Prod Chain <dev-null@redhat.com> 2.5.0-1
- Update patches

* Wed Mar 24 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add security add/update services for in-use share networks

* Fri Mar 19 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Correctly pass mTLS certificate/key to HTTPClient
- Add "--wait" option for force-deleting a share/snapshot/share-instance
- Change public share tests
- [OSC] Implement user messages commands
- tox miniversion update to 3.1.1
- Add profiling support to manilaclient
- Forbid users to create shares with the name "None"
- [OSC] Implement Share Revert Command
- Implement openstack share properties show command
- [OSC] Add the option to explicitly set share status
- Tighten asserts in some wait tests
- Add a waiter to share extend/shrink
- [OSC] Implement Share Export Location Commands
- [OSC] Implement the second part of share snapshots commands
- remove unicode from code
- [OSC] Implement Share Adopt & Abandon Commands
- Replace deprecated UPPER_CONSTRAINTS_FILE variable
- Fixes create share from snapshot in OSC

* Tue Dec 15 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Mon Dec 14 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Fix duplicate wait functional test
- Add waiters to OSC share create/delete/resize
- Implements usage of '-c /--column' instead of additional logic.
- Fix undesirable raw Python error
- Remove six.moves.urllib
- Remove python2 installation from bindep
- Add a waiter to share create/delete
- Use importlib to take place of imp module
- Remove install unnecessary package
- Remove install unnecessary packages
- Remove install unnecessary packages
- Add Python3 wallaby unit tests
- Update master for stable/victoria

* Fri Nov 13 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Thu Oct 15 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Wed Sep 16 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Implement the first half of OSC share snapshots commands
- Add commands for share server migration
- Add noqa markup to intentionally redefined methods
- Implement OSC share quota commands
- Graduate share replication feature
- [goal] Migrate testing to ubuntu focal
- Improve OSC test coverage
- Add initial documentation for OSC
- Implement OSC share resize command
- Migrate functional job to native zuulv3
- Use unittest.mock instead of third party lib

* Tue Sep 15 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Wed Jul 01 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Tue Jun 30 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Switch to newer openstackdocstheme and reno versions
- Fix hacking min version to 3.0.1
- TrivialFix: Remove unnecessary future imports
- [ussuri][goal] Change contributor guide
- Add py38 package metadata
- Drop install_command usage in tox
- Add Python3 victoria unit tests
- Update master for stable/ussuri
- Replace "tenant" terminology with "project"

* Mon Apr 20 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Mon Apr 13 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Remove experimental flag from share groups commands
- Update the python manila client api version
- Add new share replica quotas to the CLI
- Cleanup py27 support
- Support query user message by timestamp
- Update hacking for Python3
- Implement OSC share type commands
- Implement OSC share access rules commands
- Add functional tests for OSC
- Implement osc share set/unset commands
- OSC Fix list for all projects

* Thu Mar 19 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Thu Mar 05 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Put osc unit tests with all other unit tests
- Fix osc delete share and show share tests
- [ussuri][goal] Drop python2.7 support
- [OSC] Init OpenStack Client implementation
- Add more detail to API introduction
- Fix update share network tests and skip exception issue
- Fix lower bound for sphix in docs/requirements.txt
- Update the constraints url
- Update master for stable/train

* Wed Nov 13 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches


